#include <bits/stdc++.h>

using namespace std;

int pp(int c)
{
	if(c==0)return 0;
	if(c==1)return 1;
	if(c==2)return 1;
	if(c==3)return 2;
	if(c==4)return 2;
	if(c==5)return 1;
	if(c==6)return 2;
	if(c==7)return 2;
	if(c==8)return 3;
	if(c==9)return 3;
}

int main()
{
	long long x;
	cin >> x;
	int z=0;
	while(x > 0)
	{
		int y = x%10;
		x/=10;
		z += pp(y);
	}
	cout << z;
	return 0;
}